# class Sass::Tree::VariableNode

A dynamic node representing a variable definition.

@see Sass::Tree

### Attributes

expr[RW]

The parse tree for the variable value. @return [Script::Tree::Node]

global[R]

Whether this is a global variable assignment (`!global`). @return [Boolean]

guarded[R]

Whether this is a guarded variable assignment (`!default`). @return [Boolean]

name[R]

The name of the variable. @return [String]

### Public Class Methods

new(name, expr, guarded, global) click to toggle source

@param name [String] The name of the variable @param expr [Script::Tree::Node] See {#expr} @param guarded [Boolean] See {#guarded} @param global [Boolean] See {#global}

Calls superclass method Sass::Tree::Node.new

    # File lib/sass/tree/variable_node.rb, line 27
    def initialize(name, expr, guarded, global)
      @name = name
      @expr = expr
      @guarded = guarded
      @global = global
      super()
    end